This directory contains the front-end part of the web ui.

The instructions below are only for development purposes.
You don't have to do any of these steps if you only want to use the software.

# install node.js
https://nodejs.org/en/

# install dev packages
`npm install` will install:
- babel-cli babel-preset-env
- rollup rollup-plugin-gzip https://github.com/rollup/rollup
- less


# Build es6 to es5 using babel:

`"node_modules/.bin/babel" src/js --out-dir babel_out -w`

# Bundle modules using rollup:

`"node_modules/.bin/rollup" -c --watch`

# Build less to css using lessc:

`"node_modules/.bin/lessc" src/less/pfpmd.less dist/bundle.css`

# Copy files from `dist/` to `/static` of `pfpmd_server`

# Code conventions
- each view has postfix V (except `view`.) A collection of views has postfix Vs (except `views`.)
- each element has postfix E (except `element`.) A collection of elements has postfix Es (except `elements`.)
- views have a reference to the element - this.element
- elements have a reference to the view - element.view
- all setters returns the object (this.)
- decorators has postfix D
- factories has postfix F
- elements have a reference to the view - element.<<view_name>> e.g. element.dragV
- private members have '_' prefix
- public members go first (in a class)
