// file: config.js
// we store here parameters that cannot be changed by a user
export const config = {
    version: "0.19.1",
    isClientWebUI: false, // false if this UI directly connects to a server
    maxPostLength: 9000,
    maxSubjectLength: 128,
    maxBoardNameLength: 3,
    maxClientIdLength: 16,
    boardNamePattern: '[a-zA-Z]{1,3}',
    pendingPostId: 'xxxxx',
    basePath: '',
    showIgnoreCyrillicShitFilter: false,
    supportSearching: false, // true if isClientWebUI or if the server supports it
    pageSize: {
        general: 100,
        warp: 20
    },
    formatting: {
        maxNestingLevel: 10,
    },
    katex: {
        cssPath: "/static/katex/katex.min.css",
        scriptPath: "/static/katex/katex.min.js",
    },
    hljs: {
        cssPath: "/static/hljs/styles/vs.css",
        scriptPath: "/static/hljs/highlight.pack.js",
    },
    pagination: {
        siblingCount: 3,
    },
    sse: {
        type: {
            post: "post",
            connected: "connected",
            boardDescription: "board-description",
            hiddenByOp: "hidden-by-op",
        },
        continueSubscriptionTimeout: 30000, // ms
        reconnectTimeout: 1000, // ms
        broadcastChannel: 'sse',
    },
    notification: {
        type: {
            success: 'success',
            error: 'error',
            warning: 'warning',
            info: 'info',
        },
        autoHideAfter: 2000, // ms
    },
    chat: {
        boardName: 'cht',
        threadId: 'a237b4ad-bdbd-4fa2-9abf-1f646fdcf40a',
        keepScrollBottomThreshold: 50, // px
        updateLastSeenAtTimeout: 2000, // ms
    },
    defaultSettings: {
        isEphemeralPostingOn: false,
        hideEphemeralPosts: false,
        showOnlyChatPostsInChat: false,
        displayHiddenPostsInChat: true,
        ignoreCyrillicShit: false,
        isKatexEnabled: false,
        highlightCode: false,
        showImages: true,
        embedBitchute: false,
        trackNewPosts: true,
        isCompactTheme: true,
        maxEntropy: 6,
        regexpFilters: '://imagetwist.com\n://cuts-url.com\n',
        colorsFilters: '',
    },
    tabHeartbeatTimeout: 500, // ms
    postingLockedMessage: "Log in to unlock posting.",
    ephemeralModeWarning: "Warning: ephemeral posting mode is on."
};