// file: hljs_service.js
import {ServiceLoader} from "./service_loader";
import {config} from "../config";

let serviceLoader = new ServiceLoader(config.hljs.cssPath, config.hljs.scriptPath);

export function enableHljs(isEnabled) {
    return serviceLoader.enableService(isEnabled);
}

export function highlightCode(element) {
    if (!serviceLoader.isServiceEnabled) {
        // undoHighlighting(element);
        return;
    }

    // show elements without highliting first, don't let highlighting slow displaying them
    setTimeout(() => {
        // :not(.hljs) is to prevent applying it more than once
        element.$a("code:not(.hljs)").forEach(codeE => hljs.highlightBlock(codeE));
    }, 200);
}

// NOTE: it turns out that it is much slower that recreating html
// function undoHighlighting(element) {
//     element.$a("code.hljs").forEach(codeE => {
//         codeE.classList.remove('hljs');
//         const code = codeE.innerText;
//         codeE.empty();
//         codeE.appendText(code);
//     });
// }