// file: ephemeral_posting_service.js
import {getPostReferences} from "./text_parsing_service";
import * as pcService from "./post_cache_service";
import {getAccessToken} from "./access_token_service";
import {getSettings} from "./settings_service";

export function isReplyToEphemeralPost(text) {
    return getPostReferences(text).some(postId => {
        const cachedPost = pcService.get(postId);
        return cachedPost && cachedPost.ephemeral;
    });
}

export function isEphemeralPostingOn() {
    return !getAccessToken() || getSettings().isEphemeralPostingOn;
}

export function isEphemeralPosting(postText) {
    return isEphemeralPostingOn() || isReplyToEphemeralPost(postText)
}