// file: history_navigation_service.js
import * as locationService from "./location_service";
import * as customEvents from "../custom_events";

export function handlePopState(state) {

    if (locationService.getSelectedThreadId()) {

        customEvents.selectThread(
            locationService.getSelectedBoardName(),
            locationService.getSelectedThreadId(),
            locationService.getPage(),
            locationService.getPostIdAnchor(),
            true
        );

    } else if (locationService.getSelectedBoardName()) {

        customEvents.selectBoard(
            locationService.getSelectedBoardName(),
            locationService.getPage(),
            true
        );

    } else if (locationService.isSearchPage()) {

        customEvents.selectSearch(
            locationService.getSearchArgs(),
            true
        );

    } else {
        customEvents.selectGlobalPage(locationService.getPage(), true);
    }
}