// themes_service.js
import {addSettingsChangeEventListener, getSettings} from "./settings_service";

export function initThemesService() {
    enableCompactTheme(getSettings().isCompactTheme);

    addSettingsChangeEventListener(e => {
        enableCompactTheme(e.newSettings.isCompactTheme);
    });
}

function enableCompactTheme(isEnabled) {
    if (isEnabled) {
        document.body.classList.add('compact_theme');
    } else {
        document.body.classList.remove('compact_theme');
    }
}