// file: track_new_posts_service.js
import * as lsService from "./storage/local_storage_service";

export const lsKey = 'last_seen_at_data';

export function getLastSeenAt(threadId) {
    const lastSeenAtStr = getLastSeenAtData()[threadId];
    return lastSeenAtStr ? new Date(lastSeenAtStr) : lastSeenAtStr;
}

export function updateLastSeenAt(threadId, lastSeenAt) {
    const data = getLastSeenAtData();
    data[threadId] = lastSeenAt;

    lsService.setItem(lsKey, data);
    return Promise.resolve();
}

export function deleteAllLastSeenAt() {
    lsService.removeItem(lsKey);
    return Promise.resolve();
}

function getLastSeenAtData() {
    return lsService.getItem(lsKey, {});
}
