// file: views.js
import * as lsService from "./services/storage/local_storage_service";

export function enableToggles() {
    $a(".toggle").each(toggleE => {
        const toggleCollapsedLsKey = `${toggleE.id}_collapsed`;

        toggleE.addOrRemoveClass(lsService.getItem(toggleCollapsedLsKey), 'collapsed');

        toggleE.addEventListener("click", () => {
            toggleE.toggleClass('collapsed');
            lsService.toggle(toggleCollapsedLsKey);
        }, false);

        let _onLsChangeHandler;
        document.addEventListener('lsChange', _onLsChangeHandler = e => {
            if (e.detail.isFromForeignWindow && e.detail.key === toggleCollapsedLsKey) {
                e.detail.newValue
                    ? toggleE.classList.add('collapsed')
                    : toggleE.classList.remove('collapsed');
            }
        }, false);
    });
}

