// file: board_banner_v.js

export class BoardBannerV {
    constructor(boardName, boardDescription) {
        this.boardName = boardName;
        this.boardDescription = boardDescription;

        const bannerE = document.createElement('h2');
        bannerE.classList.add('board_banner');

        this.element = bannerE;
        bannerE.boardBannerV = this;

        this.boardNameE = document.createElement('span');
        this.boardNameE.classList.add('board_name');
        this.boardNameE.appendText(`/${boardName}/`);

        bannerE.appendChild(this.boardNameE);

        this.nameDescriptionSeparator = document.createElement('span');
        bannerE.appendChild(this.nameDescriptionSeparator);

        if (boardDescription) {
            this.nameDescriptionSeparator.appendText(` – `);
        }

        this.boardDescriptionE = document.createElement('span');
        this.boardDescriptionE.classList.add('board_description');
        this.boardDescriptionE.appendText(`${boardDescription}`);

        bannerE.appendChild(this.boardDescriptionE);
    }

    changeBoardDescription(boardDescription) {
        this.boardDescription = boardDescription;

        if (boardDescription) {
            this.nameDescriptionSeparator.replaceChildrenWith(` – `);
        } else {
            this.nameDescriptionSeparator.replaceChildrenWith(``);
        }

        this.boardDescriptionE.replaceChildrenWith(`${boardDescription}`);
    }
}