// file: thread_banner_v.js
import {toShortcutUuid} from "../../services/uuid_service";

export class ThreadBannerV {
    constructor(threadId, subject) {
        this.threadId = threadId;
        this.subject = subject;

        const bannerE = document.createElement('h3');
        bannerE.classList.add('thread_banner');

        this.element = bannerE;
        bannerE.threadBannerV = this;

        this.threadIdE = document.createElement('span');
        this.threadIdE.classList.add('thread_id');
        this.threadIdE.appendText(`${toShortcutUuid(threadId)}`);

        bannerE.appendChild(this.threadIdE);
        bannerE.appendText(` – `);

        this.subjectE = document.createElement('span');
        this.subjectE.classList.add('subject');
        this.subjectE.appendText(subject);

        bannerE.appendChild(this.subjectE);
    }
}