// file: chat_container_track_visibility_d.js
import {decorateView} from "../../utils";
import {chatVisibilityChange} from "../../custom_events";
import {isChatHidden, isChatOrDocumentHidden} from "../chat_container_v";

export class ChatContainerTrackVisibilityD {
    constructor(dragDependantV) {
        decorateView(dragDependantV, this, 'dragDependantV');
        this.element = dragDependantV.element;
        this._dragDependantV = dragDependantV;

        document.addEventListener("visibilitychange", e => {
            // if the chat is hidden then chat visibility hasn't been changed
            if (isChatHidden()) return;

            chatVisibilityChange(isChatOrDocumentHidden());
        }, false);
    }

    setWidth(width) {
        this._dragDependantV.setWidth(width);
    }

    toggleHide() {
        this._dragDependantV.toggleHide();
        chatVisibilityChange(isChatOrDocumentHidden());
    }
}