// file: chat_post_body_d.js
import {decorateView} from "../../utils";
import {config} from "../../config";
import {BoardThreadLinksV} from "../post/board_thread_links_v";

export class ChatPostBodyD {
    constructor(postBodyV) {
        decorateView(postBodyV, this);

        const post = postBodyV.post;

        if (post.thread.board.name !== config.chat.boardName) {
            this._boardThreadLinksV = new BoardThreadLinksV(post);

            postBodyV.element.prependChild(this._boardThreadLinksV.element);
        }
    }

    changeBoardDescription(boardDescription) {
        if (!this._boardThreadLinksV) return;

        this._boardThreadLinksV.changeBoardDescription(boardDescription);
    }
}