// file: connection_status_v.js
import * as repo from "../repository";
import {showNotification} from "./notifications/notification_v";
import {config} from "../config";

export class ConnectionStatusV {
    constructor() {
        const connectionStatusE = $('#connection_status');

        this.element = connectionStatusE;
        connectionStatusE.connectionStatusV = this;

        this._iconE = connectionStatusE.$('.disk');
        connectionStatusE.title = 'disconnected';

        repo.addConnectedEventListener(() => this._connected());
        repo.addErrorEventListener(() => this._disconnected());
    }

    _connected() {
        this.element.title = 'connected';
        this._iconE.classList.add('connected');
    }

    _disconnected() {
        if (!this._iconE.classList.contains('connected')) return;

        this.element.title = 'disconnected';
        this._iconE.classList.remove('connected');

        showNotification(config.notification.type.error, `Connection is lost.`);
    }
}