import * as lsService from "../../services/storage/local_storage_service";
import {decorateView} from "../../utils";

export class HeightStoredDragDependantD {
    constructor(dragDependantV, localStorageHeightKey) {
        decorateView(dragDependantV, this, 'dragDependantV');

        this.setHeight = height => {
            this._height = height;
            dragDependantV.setHeight(height);
        };

        window.addEventListener('mouseup', e => {
            if (this._height >= 0) lsService.setItem(localStorageHeightKey, this._height);
        }, false);

        document.addEventListener('lsChange', this._onLsChangeHandler = e => {
            if (e.detail.isFromForeignWindow && e.detail.key === localStorageHeightKey) {
                this.setHeight(e.detail.newValue);
            }
        }, false);
    }
}