import * as lsService from "../../services/storage/local_storage_service";
import {decorateView} from "../../utils";

export class VisibilityStoredDragDependantD {
    constructor(dragDependantV, localStorageIsHiddenKey, isHiddenByDefault) {
        decorateView(dragDependantV, this, 'dragDependantV');

        lsService.setItem(
            localStorageIsHiddenKey,
            lsService.getItem(localStorageIsHiddenKey, isHiddenByDefault)
        );

        if (lsService.getItem(localStorageIsHiddenKey, isHiddenByDefault) !== isHiddenByDefault) {
            // if stored visibility state is different from the default value
            dragDependantV.toggleHide();
        }

        this.toggleHide = () => {
            dragDependantV.toggleHide();
            lsService.toggle(localStorageIsHiddenKey);
        };

        document.addEventListener('lsChange', this._onLsChangeHandler = e => {
            if (e.detail.isFromForeignWindow && e.detail.key === localStorageIsHiddenKey) {
               dragDependantV.toggleHide();
            }
        }, false);
    }
}