import * as lsService from "../../services/storage/local_storage_service";
import {decorateView} from "../../utils";

export class WidthStoredDragDependantD {
    constructor(dragDependantV, localStorageWidthKey, defaultWidth) {
        decorateView(dragDependantV, this, 'dragDependantV');

        this.setWidth = width => {
            this._width = width;
            dragDependantV.setWidth(width);
        };

        this.setWidth(lsService.getItem(localStorageWidthKey, defaultWidth));

        window.addEventListener('mouseup', e => {
            lsService.setItem(localStorageWidthKey, this._width);
        }, false);

        document.addEventListener('lsChange', this._onLsChangeHandler = e => {
            if (e.detail.isFromForeignWindow && e.detail.key === localStorageWidthKey) {
               this.setWidth(e.detail.newValue);
            }
        }, false);
    }
}