// file: help_popup_v.js
import {PopupV} from "../popup/popup_v";
import {PopupSavingStateD} from "../popup/popup_saving_state_d";
import {PopupWithCloseBtnV} from "../popup/popup_with_close_btn_v";
import {ModalPopupD} from "../popup/modal_popup_d";
import {isEscape} from "../../services/shortcut_service";
import {HelpV} from "./help_v";

export class HelpPopupV {
    constructor() {
        const decoratedPopupV = new PopupV();
        decoratedPopupV.element.id = 'help_popup';

        const closeBtnTitle = 'Esc';
        const close = () => this.close();

        const popupV = new PopupSavingStateD(
            new PopupWithCloseBtnV(
                new ModalPopupD(decoratedPopupV, close),
                close, closeBtnTitle, isEscape
            )
        );
        this._popupV = popupV;

        const popupE = popupV.element;
        this.element = popupE;
        popupE.settingsPopupV = this;

        popupE.classList.add('help-popup');

        const titleE = document.createElement('div');
        titleE.classList.add('title');
        titleE.appendText('Help');
        titleE.appendBefore(popupV.titleBarE.firstChild);

        this.helpV = new HelpV();
        popupV.popupContentE.appendChild(this.helpV.element);
    }

    close() {
        this._popupV.close();
    }
}