// file: login_form_v.js
import {Auth} from "../../models";
import * as repo from "../../repository";
import {showNotification} from "../notifications/notification_v";
import {config} from "../../config";
import {setAccessToken} from "../../services/access_token_service";
import {authorizeChange} from "../../custom_events";

export class LoginFormV {
    constructor(loginE) {
        const loginFormE = loginE.$("#login_form");
        this.element = loginFormE;
        loginFormE.loginFromV = this;

        this._loginNicknameE = loginFormE.$("#login_nickname");
        this._loginPasswordE = loginFormE.$("#login_password");

        const loginSubmitBtnE = loginFormE.$("#login_submit_btn");

        loginSubmitBtnE.addEventListener('click', e => {
            if (!this.element.reportValidity()) return;
            e.preventDefault();

            this._onSubmit(e);
        }, false);
    }

    _onSubmit(e) {
        repo.authorize(new Auth(
            this._loginNicknameE.value,
            this._loginPasswordE.value
        )).then(authInfo => {
            $("#login_popup").loginPopupV.close();
            setAccessToken(authInfo.accessToken);
            authorizeChange();

            $("#login_btn").hide();
            $("#profile_btn").profileBtnV.show();
        }).catch(e => showNotification(config.notification.type.error, e.message));
    }
}