// file: login_popup_v.js
import {PopupV} from "../popup/popup_v";
import {PopupSavingStateD} from "../popup/popup_saving_state_d";
import {PopupWithCloseBtnV} from "../popup/popup_with_close_btn_v";
import {ModalPopupD} from "../popup/modal_popup_d";
import {isEscape} from "../../services/shortcut_service";
import {LoginV} from "./login_v";

export class LoginPopupV {
    constructor() {
        const decoratedPopupV = new PopupV();
        decoratedPopupV.element.id = 'login_popup';

        const closeBtnTitle = 'Esc';
        const close = () => this.close();

        const popupV = new PopupSavingStateD(
            new PopupWithCloseBtnV(
                new ModalPopupD(decoratedPopupV, close),
                close, closeBtnTitle, isEscape
            )
        );
        this._popupV = popupV;

        const popupE = popupV.element;
        this.element = popupE;
        popupE.loginPopupV = this;

        popupE.classList.add('login-popup');

        const titleE = document.createElement('div');
        titleE.classList.add('title');
        titleE.appendText('Login / create account');
        titleE.appendBefore(popupV.titleBarE.firstChild);

        this.loginV = new LoginV();
        popupV.popupContentE.appendChild(this.loginV.element);
    }

    close() {
        this._popupV.close();
    }
}