// file: login_v.js
import {getServerInfo} from "../../services/server_info_service";
import {LoginFormV} from "./login_form_v";
import {SignupFormV} from "./signup_form_v";

export class LoginV {
    constructor() {
        const loginE = document.createElement('div');
        loginE.classList.add('login');

        this.element = loginE;
        loginE.loginV = this;

        const loginTemplateE = document.importNode($("#login_template").content, true);
        this.element.appendChild(loginTemplateE);

        this._createGroupTitle(``);

        getServerInfo().then(serverInfo => {
            if (serverInfo.powBits) {
                this.element.$a('.pow_bits').forEach(element => element.innerText = serverInfo.powBits);
            }
        });

        new LoginFormV(loginE);
        new SignupFormV(loginE);
    }

    _createGroupTitle(groupName) {
        const groupTitleE = document.createElement('div');
        groupTitleE.classList.add('group_title');
        groupTitleE.appendText(groupName);
        this.element.appendChild(groupTitleE);
        return groupTitleE;
    }
}