// file: signup_form_v.js
import * as repo from "../../repository";
import {NewUser} from "../../models";
import {showNotification} from "../notifications/notification_v";
import {config} from "../../config";

export class SignupFormV {
    constructor(loginE) {
        const signupFormE = loginE.$("#signup_form");
        this.element = signupFormE;
        signupFormE.signupFromV = this;

        this._signupNicknameE = signupFormE.$("#signup_nickname");
        this._signupPasswordE = signupFormE.$("#signup_password");
        this._signupPowE = signupFormE.$("#signup_pow");

        const signupSubmitBtnE = loginE.$("#signup_submit_btn");

        signupSubmitBtnE.addEventListener('click', e => {
            if (!this.element.reportValidity()) return;
            e.preventDefault();

            this._onSubmit(e);
        }, false);
    }

    _onSubmit(e) {
        repo.createUser(new NewUser(
            this._signupNicknameE.value,
            this._signupPasswordE.value,
            this._signupPowE.value.trim(),
        )).then(message => {
            showNotification(config.notification.type.success, `${message}. Now you can log in.`);
        }).catch(e => {
            showNotification(config.notification.type.error, e.message, 4000);
        });
    }
}