// file: export_btn_v.js
import * as lsService from "../../services/storage/local_storage_service";
import * as trackNewPostsService from "../../services/track_new_posts_service";
import {config} from "../../config";
import {clientIdLsKey} from "../../services/client_service";

export class ExportBtnV {
    constructor() {
        const btnE = $("#export_btn");
        this.element = btnE;
        this.exportBtnV = this;

        btnE.addEventListener('click', e => exportUiState(), false);
    }
}

function exportUiState() {
    const linkE = document.createElement("a");
    linkE.hide();

    const uiState = {
        ui: "ui",
        version: config.version,
        localStorage: {},
    };

    Object.keys(localStorage).map(key => {
        if (key.startsWith('tab_')
            || key === trackNewPostsService.lsKey
            || (key !== key.toLowerCase() && key !== clientIdLsKey)
        ) {
            return;
        }
        uiState.localStorage[key] = lsService.getItem(key);
    });

    const blob = new Blob([JSON.stringify(uiState, null, 2)], {type: 'application/json'});

    const url = URL.createObjectURL(blob);
    linkE.href = url;
    linkE.download = "pfpmd_ui_settings.json";

    document.body.appendChild(linkE);
    linkE.click();
    linkE.remove();
    URL.revokeObjectURL(url);
}