// file: login_btn_v.js
import {LoginPopupV} from "../login/login_popup_v";
import {getAccessToken} from "../../services/access_token_service";
import {BadgeV} from "../notifications/badge_v";

export class LoginBtnV {
    constructor() {
        const btnE = $("#login_btn");
        this.element = btnE;
        btnE.loginBtnV = this;

        if (getAccessToken()) btnE.hide();

        this._badgeV = new BadgeV("!");
        this.element.appendChild(this._badgeV.element);

        btnE.addEventListener('click', e => showLoginPopup(), false);
    }

    _showBadge() {
        this._badgeV.element.show();
    }

    _hideBadge() {
        this._badgeV.element.hide();
    }
}

export function showLoginPopup() {
    const loginPopupE = $("#login_popup");

    if (loginPopupE) {
        loginPopupE.loginPopupV.close();
    } else {
        new LoginPopupV();
    }
}