// file: profile_btn_v.js
import {ProfilePopupV} from "../profile/profile_popup_v";
import {getAccessToken, getClaims} from "../../services/access_token_service";

export class ProfileBtnV {
    constructor() {
        const btnE = $("#profile_btn");
        this.element = btnE;
        btnE.profileBtnV = this;

        if (getAccessToken()) this.show();

        btnE.addEventListener('click', e => showProfilePopup(), false);
    }

    show() {
        const claims = getClaims();

        this.element.innerText = claims.name;
        this.element.show();
    }
}

export function showProfilePopup() {
    const profilePopupE = $("#profile_popup");

    if (profilePopupE) {
        profilePopupE.profilePopupV.close();
    } else {
        new ProfilePopupV();
    }
}