// file: popup_with_close_btn_v.js
import {decorateView} from "../../utils";

export class PopupWithCloseBtnV {
    constructor(popupV, close, title, isCloseShortcut = () => false) {
        decorateView(popupV, this, 'popupV');

        const closeBtnE = document.createElement('button');
        closeBtnE.type = 'button';
        closeBtnE.classList.add('close_btn');
        closeBtnE.classList.add('icon-close');
        if (title) closeBtnE.title = title;
        popupV.titleBarE.appendChild(closeBtnE);

        closeBtnE.addEventListener('click', e => close ? close() : this.close(), false);

        this.close = () => {
            document.removeEventListener('keydown', this._onKeyDownHandler, false);
            popupV.close();
        };

        document.addEventListener('keydown', this._onKeyDownHandler = e => {
            if (isCloseShortcut(e)) close ? close() : this.close();
        }, false);
    }
}