// file: board_thread_links_v.js
import {BoardLinkV} from "../links/board_link_v";
import {ThreadLinkV} from "../links/thread_link_v";
import {ThreadLinkWithTitleD} from "../links/thread_link_with_title_d";
import {PostLinkV} from "./post_link_v";

export class BoardThreadLinksV {
    constructor(post) {
        const postInfoE = document.createElement('span');
        postInfoE.classList.add('board_thread_links');

        this.element = postInfoE;
        postInfoE.postInfoV = this;

        const boardLinkV = new BoardLinkV(
            post.thread.board.name,
            post.thread.board.description,
        );
        this._boardLinkV = boardLinkV;
        postInfoE.appendText(`/`);
        postInfoE.appendChild(boardLinkV.element);

        const threadLinkV = new ThreadLinkWithTitleD(
            new ThreadLinkV(post.thread.board.name, post.thread.threadId),
            post.thread.subject,
        );
        postInfoE.appendText(`/`);
        postInfoE.appendChild(threadLinkV.element);

        const postLinkV = new PostLinkV(post.postId, `@`, `Go to the post`);
        postInfoE.appendText(`/`);
        postInfoE.appendChild(postLinkV.element);
    }

    changeBoardDescription(boardDescription) {
        this._boardLinkV.changeBoardDescription(boardDescription);
    }
}