// file: profile_popup_v.js
import {PopupV} from "../popup/popup_v";
import {ProfileV} from "./profile_v";
import {ModalPopupD} from "../popup/modal_popup_d";
import {PopupWithCloseBtnV} from "../popup/popup_with_close_btn_v";
import {PopupSavingStateD} from "../popup/popup_saving_state_d";
import {isEscape} from "../../services/shortcut_service";

export class ProfilePopupV {
    constructor() {
        const decoratedPopupV = new PopupV();
        decoratedPopupV.element.id = 'profile_popup';

        const closeBtnTitle = 'Esc';
        const close = () => this.close();

        const popupV = new PopupSavingStateD(
            new PopupWithCloseBtnV(
                new ModalPopupD(decoratedPopupV, close),
                close, closeBtnTitle, isEscape
            )
        );
        this._popupV = popupV;

        const popupE = popupV.element;
        this.element = popupE;
        popupE.profilePopupV = this;

        popupE.classList.add('profile-popup');

        const titleE = document.createElement('div');
        titleE.classList.add('title');
        titleE.appendText('Profile');
        titleE.appendBefore(popupV.titleBarE.firstChild);

        this.profileV = new ProfileV();
        popupV.popupContentE.appendChild(this.profileV.element);
    }

    close() {
        this._popupV.close();
    }
}