// file: profile_v.js
import {deleteAccessToken, getClaims} from "../../services/access_token_service";
import {authorizeChange} from "../../custom_events";

export class ProfileV {
    constructor() {
        const profileE = document.createElement('div');
        profileE.classList.add('profile');

        this.element = profileE;
        profileE.profileV = this;

        const profileTemplateE = document.importNode($("#profile_template").content, true);
        this.element.appendChild(profileTemplateE);

        profileE.$("#nickname").innerText = getClaims().name;

        this._createGroupTitle(``);

        const logoutBtnE = profileE.$("#logout_btn");

        logoutBtnE.addEventListener('click', e => {
            deleteAccessToken();
            authorizeChange();
            $('#profile_popup').profilePopupV.close();
            $("#login_btn").show();
            $("#profile_btn").hide();
        }, false);
    }

    // todo: this is repeated multiple times in other files. Refactor.
    _createGroupTitle(groupName) {
        const groupTitleE = document.createElement('div');
        groupTitleE.classList.add('group_title');
        groupTitleE.appendText(groupName);
        this.element.appendChild(groupTitleE);
        return groupTitleE;
    }
}