// file: thread_page_with_state_d.js
import {decorateView} from "../../utils";

export class ThreadPageWithStateD {
    constructor(threadPageV) {
        decorateView(threadPageV, this, 'threadPageV');

        this._threadPageV = threadPageV;
        this.element = threadPageV.element;
    }

    get replyFormV() {
        return this._threadPageV.replyFormV;
    }

    get originalPostV() {
        return this._threadPageV.originalPostV;
    }

    get postVs() {
        return this._threadPageV.postVs;
    }

    getState() {
        const postAbove = this.replyFormV.postAbove;
        const postId = postAbove ? postAbove.postId : null;

        return new ThreadState(
            postId,
            this.replyFormV.tbxV.element.value
        );
    }

    restoreState(threadState) {

        [this.originalPostV].concat(this.postVs).forEach(postV => {
            if (threadState.replyFormAfterPostId === postV.post.postId) {
                postV.reply(false);
            }
        });

        if (this.replyFormV.tbxV.element.value !== threadState.text) {
            this.replyFormV.tbxV.element.value = threadState.text;
        }
    }
}

class ThreadState {
    constructor(replyFormAfterPostId, text) {
        this.replyFormAfterPostId = replyFormAfterPostId;
        this.text = text;
    }
}