// file: shell_thread_banner_d.js
import {decorateView} from "../../utils";
import {BoardLinkV} from "../links/board_link_v";

export class ThreadBannerWithBoardLinkD {
    constructor(threadBannerV, boardName, boardDescription) {
        decorateView(threadBannerV, this, 'threadBannerV');

        const boardNameE = document.createElement('span');
        boardNameE.classList.add('board_name');
        boardNameE.appendText('/');

        const boardLinkV = new BoardLinkV(boardName, boardDescription);
        this._boardLinkV = boardLinkV;
        boardNameE.appendChild(boardLinkV.element);
        boardNameE.appendText('/');

        threadBannerV.element.prependChild(boardNameE);
    }

    changeBoardDescription(boardDescription) {
        this._boardLinkV.changeBoardDescription(boardDescription);
    }
}