// file: thread_summary_v.js
import {ThreadPageLinkV} from "../thread_page/thread_page_link_v";

export class ThreadSummaryV {
    constructor(thread, shownPostsCount) {
        const summaryE = document.createElement('div');
        summaryE.classList.add('thread_summary');

        this.element = summaryE;
        summaryE.summaryV = this;

        const omittedCount = thread.postCount - shownPostsCount;
        if (omittedCount <= 0) return;

        summaryE.appendText(`${omittedCount} replies omitted. `);

        const threadLinkE = document.createElement('a');
        threadLinkE.classList.add('thread_link');
        // threadLinkE.title = "the first page";
        threadLinkE.appendText(`Click here`);

        new ThreadPageLinkV(
            threadLinkE, thread.board.name, thread.threadId, 0
        );

        summaryE.appendChild(threadLinkE);
        summaryE.appendText(` to view the first page.`);
    }
}